version: 1
applications:
  - appRoot: frontend
    frontend:
      phases:
        preBuild:
          commands:
            - pwd
            - node -v
            - yarn
        build:
          commands:
            - yarn build:amplify
            - yarn export
      artifacts:
        baseDirectory: out
        files:
          - '**/*'
      cache:
        paths:
          - node_modules/**/*
